---
title: Delete timeslot
slug: delete-timeslot
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/{timeslotId}",
  "name": "Delete an existing timeslot",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{timeslotId}",
        "type": "Number",
        "children": [],
        "description": "The id of the timeslot you are trying to delete"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n  \"data\": [\n    {\n      \"id\": \"107877\",\n      \"type\": \"timeslot\",\n      \"attributes\": {\n        \"title\": \"Updated title of your session\",\n        \"reservable\": \"false\",\n        \"duration\": \"90\",\n        \"location\": \"Main hall and Venue\",\n        \"content\": {\n          \"blocks\": [\n            {\n              \"text\": \"You can write \",\n              \"type\": \"unstyled\",\n              \"depth\": \"0\",\n              \"entity-ranges\": [],\n              \"inline-style-ranges\": []\n            },\n            {\n              \"text\": \"html\",\n              \"type\": \"unstyled\",\n              \"depth\": \"0\",\n              \"entity-ranges\": [],\n              \"inline-style-ranges\": []\n            },\n            {\n              \"text\": \" or just have a string. Anything here will be converted to DraftJs-consumable object\",\n              \"type\": \"unstyled\",\n              \"depth\": \"0\",\n              \"entity-ranges\": [],\n              \"inline-style-ranges\": []\n            }\n          ],\n          \"entity-map\": {}\n        },\n        \"subtitle\": \"\",\n        \"highlight-position\": {},\n        \"stream-link\": {},\n        \"chat-channel-id\": \"timeslot-107877\",\n        \"start-time\": \"2025-11-27T00:30:00.000Z\",\n        \"end-time\": \"2025-11-27T02:00:00.000Z\",\n        \"tag-order\": [\n          \"74339\",\n          \"74340\",\n          \"74341\",\n          \"74342\",\n          \"74583\"\n        ]\n      },\n      \"relationships\": {\n        \"tags\": {\n          \"data\": [\n            {\n              \"id\": \"74339\",\n              \"type\": \"tag\"\n            },\n            {\n              \"id\": \"74340\",\n              \"type\": \"tag\"\n            },\n            {\n              \"id\": \"74341\",\n              \"type\": \"tag\"\n            },\n            {\n              \"id\": \"74342\",\n              \"type\": \"tag\"\n            },\n            {\n              \"id\": \"74583\",\n              \"type\": \"tag\"\n            }\n          ]\n        },\n        \"locations\": {\n          \"data\": [\n            {\n              \"id\": \"74343\",\n              \"type\": \"tag\"\n            }\n          ]\n        },\n        \"speaker-assignments\": {\n          \"data\": []\n        },\n        \"speakers\": {\n          \"data\": []\n        },\n        \"tabs\": {\n          \"data\": []\n        },\n        \"attendee-groups\": {\n          \"data\": []\n        },\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    }\n  ],\n  \"included\": [\n    {\n      \"id\": \"74339\",\n      \"type\": \"tag\",\n      \"attributes\": {\n        \"name\": \"Track 1\",\n        \"color\": \"#58D78E\",\n        \"updated-at\": \"2023-03-24T10:06:02.026Z\",\n        \"created-at\": \"2023-03-24T10:06:02.026Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"74340\",\n      \"type\": \"tag\",\n      \"attributes\": {\n        \"name\": \"Keynote 1\",\n        \"color\": \"#58D78E\",\n        \"updated-at\": \"2023-03-24T10:06:02.038Z\",\n        \"created-at\": \"2023-03-24T10:06:02.038Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"74341\",\n      \"type\": \"tag\",\n      \"attributes\": {\n        \"name\": \"UX\",\n        \"color\": \"#58D78E\",\n        \"updated-at\": \"2023-03-24T10:06:02.048Z\",\n        \"created-at\": \"2023-03-24T10:06:02.048Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"74342\",\n      \"type\": \"tag\",\n      \"attributes\": {\n        \"name\": \"AI\",\n        \"color\": \"#58D78E\",\n        \"updated-at\": \"2023-03-24T10:06:02.057Z\",\n        \"created-at\": \"2023-03-24T10:06:02.057Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"74583\",\n      \"type\": \"tag\",\n      \"attributes\": {\n        \"name\": \"A test tag\",\n        \"color\": \"#58D78E\",\n        \"updated-at\": \"2023-03-27T08:45:11.105Z\",\n        \"created-at\": \"2023-03-27T08:45:11.105Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    },\n    {\n      \"id\": \"74343\",\n      \"type\": \"tag\",\n      \"attributes\": {\n        \"name\": \"Main hall and Venue\",\n        \"color\": \"#58D78E\",\n        \"updated-at\": \"2023-03-24T10:06:02.065Z\",\n        \"created-at\": \"2023-03-24T10:06:02.065Z\"\n      },\n      \"relationships\": {\n        \"event\": {\n          \"data\": {\n            \"id\": \"197444\",\n            \"type\": \"event\"\n          }\n        }\n      }\n    }\n  ],\n  \"meta\": {\n    \"failures\": []\n  }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "lBMkOSEjeuthr2pj6OQ4y",
        "code": "curl --location -g --request DELETE 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/timeslots/{timeslotId}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "lBMkOSEjeuthr2pj6OQ4y"
  },
  "description": "Delete an existing timeslot in an event",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "delete-an-existing-timeslot",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

